Name: cockpit-files
Version: 14.9.g8b82de7
Release: 1.20241224181614212382.pr889.9.g8b82de7%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-14.9.g8b82de7.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.4.2
Provides: bundled(npm(@patternfly/react-core)) = 5.4.12
Provides: bundled(npm(@patternfly/react-icons)) = 5.4.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.4.1
Provides: bundled(npm(@patternfly/react-table)) = 5.4.13
Provides: bundled(npm(@patternfly/react-tokens)) = 5.4.1
Provides: bundled(npm(attr-accept)) = 2.2.5
Provides: bundled(npm(dequal)) = 2.0.3
Provides: bundled(npm(file-selector)) = 2.1.2
Provides: bundled(npm(focus-trap)) = 7.6.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.3.5
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.8.1

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Tue Dec 24 2024 Packit <hello@packit.dev> - 14.9.g8b82de7-1.20241224181614212382.pr889.9.g8b82de7
- po: Update from Fedora Weblate (GitHub Workflow)
- po: Add 'pt_BR' language (GitHub Workflow)
- po: Add 'es' language (GitHub Workflow)
- cockpit-ci: Update container to 2024-12-21 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps-dev): bump the esbuild group with 2 updates (dependabot[bot])
- build(deps): bump the patternfly group with 2 updates (dependabot[bot])
- Makefile: Update Cockpit lib to 11a740cbca185e4adba9c5abb06fd205 (Cockpit Project)
- Fix recursive permissions edit doesn't change owner (tomasmatus)
